
Figure - Bug #114217
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 114212 (New): V4.0专项--BSP专项--性能测试

【BSP】【EVT1】【专项】【响应时间】app热启动：实测时间为：388ms，目标时间：小于50ms
2022-11-30 11:05 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2022-11-30

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: 需和客户讨论的bug Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: 01.00.X101_0052.X101

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

使用user版本测试

【测试步骤】

1、三方应用已在后台运行

2、不连接任何网络

3、打开三方应用，比如王者，记录打开时间

4、重复步骤1-3，测试5组数据取平均值

开始计时：点击王者荣耀，触摸坐标显示瞬间

停止计时：王者加载完成，显示完成

【预期结果】

小于50ms

【实际结果】

388ms

测试视频：ftp://cdiot@192.168.87.46/Figure/video/C0001.MP4 （250帧）

1410-1507 388ms

History

#1 - 2022-11-30 11:06 - 移动测试一组_CDTS 刘强

需要确认app客户热启动标准的50ms测试起始、结束点是否一致

#2 - 2022-11-30 16:22 - CDTS_TEST 王成

- Severity changed from Normal to Critical

#3 - 2022-12-05 19:49 - CD SYSTEM-胡兵

- Category changed from BSP to SYSTEM

- Assignee changed from CD BSP-唐金泽 to 移动测试一组_CDTS 刘强

- Need_Info changed from -- to TEST
Hi 刘强

请提供video的同时，提供对应的tlog日志及systrace文件

Thanks.

#4 - 2022-12-06 11:41 - 移动测试一组_CDTS 刘强

- Assignee changed from 移动测试一组_CDTS 刘强 to CD SYSTEM-胡兵

video+tlog+systrace

ftp://cdiot@192.168.87.46/Figure/video/performance/

#5 - 2022-12-08 10:50 - CDTS-TEST 周婷

- Target version set to MCE_V4.0update_20221215(原VC1_FSE_Vdec1219)

#6 - 2022-12-09 14:42 - CD SYSTEM-胡兵

- File figure_warm_app.jpg added

Hi All

从trace分析结果来看，setting显示第一帧 耗时分布如下：

launcher 启动动画 ----------------------200ms

launcher-setting: startActivityInner---36.2ms

setting: activityResume---------------80ms

请问对比机情况如何，50ms标准如何来的？光launcher动画都需要花费较多时间。

Thanks.
#7 - 2022-12-09 14:53 - 移动测试一组_CDTS 刘强

移动测试一组_CDTS 刘强 wrote:

【前提条件】

使用user版本测试

【测试步骤】

1、三方应用已在后台运行

2、不连接任何网络

3、打开三方应用，比如王者，记录打开时间

4、重复步骤1-3，测试5组数据取平均值

开始计时：点击Settings，触摸坐标显示瞬间

停止计时：Settings加载完成，显示完成

【预期结果】

小于50ms

【实际结果】

388ms

测试视频：ftp://cdiot@192.168.87.46/Figure/video/C0001.MP4 （250帧）

1410-1507 388ms

#8 - 2022-12-09 16:54 - CD SYSTEM-胡兵

- File figure_warm_setting.mp4 added

- Assignee changed from CD SYSTEM-胡兵 to 移动测试一组_CDTS 刘强

Hi 

开发者选项中去除动画后，开启setting耗时大概131ms，请参考附件视频。

此问题的标准50ms需要和客户商讨，在哪个项目上获取的数据？

Thanks

#9 - 2022-12-13 10:14 - CDTS-TEST 周婷

胡兵 ，这个数据是客户之前的中控那边取过来的数据，目前我们需要确认的是：

1. 我们这个启动时间是否有优化空间？  给客户提案而不是让他们帮忙确认

2. 项目上有同平台参考机，可参考参考机上的数据

#10 - 2022-12-13 10:14 - CDTS-TEST 周婷

- Assignee changed from 移动测试一组_CDTS 刘强 to CD SYSTEM-胡兵

#11 - 2022-12-13 19:08 - CD SYSTEM-胡兵
- Status changed from New to NEED_INFO

- Assignee changed from CD SYSTEM-胡兵 to 移动测试一组_CDTS 刘强

Hi

需要获取对比机数据，中控不是android系统，对比性不强。

Thanks.

#12 - 2022-12-14 19:05 - CDTS-TEST 周婷

- Target version changed from MCE_V4.0update_20221215(原VC1_FSE_Vdec1219) to VX1_MCE_FSE_V5.0_20221230

#13 - 2022-12-23 10:00 - CD SYSTEM-胡兵

Hi 刘强

请更新参考机数据，结合参考机数据一起给到浩云进行评估。

Thanks.

#14 - 2022-12-23 10:25 - 移动测试一组_CDTS 刘强

目前Figure设备热启动最新测试时间为：388ms； 若去除app启动动画等，测试时间为117ms

使用对比机联想小新Pro测试时间为：424.4ms；若去除app启动动画等，测试时间为105ms

之前标准中的50ms应该是不合理的，请产品确认目前性能是否合理

#15 - 2022-12-23 10:32 - 方案组-RD3_CDTS 王浩云

1. 客户的性能指标文件里面是有明确提出的，尽可能的follow

2. 版本交付的时候，可以将参考机的相关性能指标写入交付的测试报告，给到客户，作为一个参考，类似的性能问题，可以同一写入报告内

3. 客户未反馈前，bug暂时先不关，优先级可以低一些

#16 - 2022-12-26 17:07 - CDTS-TEST 周婷

- Category changed from SYSTEM to 需和客户讨论的bug

- Assignee changed from 移动测试一组_CDTS 刘强 to 方案组-RD3_CDTS 王浩云

- Target version deleted (VX1_MCE_FSE_V5.0_20221230)

浩云，这类bug 先挂你头上吧，待与客户沟通后确认是否做下一步修改

#17 - 2022-12-26 18:04 - 方案组-RD3_CDTS 王浩云

此类问题，建议统一由测试在报告中明确出来，和客户进行确认

#18 - 2023-04-12 16:15 - 方案组-RD3_CDTS 王浩云

- Assignee changed from 方案组-RD3_CDTS 王浩云 to CDTS_TEST 王成
相关的测试报告，以及同平台的机型对比的验证报告输出一下，到时候统一和客户一起聊

#19 - 2023-04-13 17:39 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

同类问题统一关闭

#20 - 2023-04-13 17:40 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#21 - 2023-04-13 17:40 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

figure_warm_app.jpg 450 KB 2022-12-09 CD SYSTEM-胡兵

figure_warm_setting.mp4 682 KB 2022-12-09 CD SYSTEM-胡兵
